Banking as a Service
Get Entity
Retrieve details of an existing BaaS entity
GET
/
v1
/
baas
/
entities
/
{entity_id}
Get Entity
curl --request GET \
--url https://api-sandbox.y.uno/v1/baas/entities/{entity_id}import requests
url = "https://api-sandbox.y.uno/v1/baas/entities/{entity_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-sandbox.y.uno/v1/baas/entities/{entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ent_660e8400-e29b-41d4-a716-446655440000",
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"merchant_entity_id": "merchant_user_12345",
"national_entity": "INDIVIDUAL",
"phone": {
"country_code": "+1",
"number": "2025551234"
},
"address": {
"address_line_1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip_code": "94102",
"country": "US"
},
"entity_detail": {
"individual": {
"first_name": "Dee",
"last_name": "Hock",
"email": "dee@hock.example",
"date_of_birth": "1990-01-15"
}
},
"created_at": "2026-02-01T10:00:00Z",
"updated_at": "2026-02-01T10:00:00Z"
}
{
"code": "ENTITY_NOT_FOUND",
"messages": ["Entity not found"],
"http_code": 404
}
Path parameters
string
required
The unique identifier of the entity obtained from the Create Entity endpoint.
Response
string
Entity identifier.
string
Merchant’s Yuno account identifier.
string
Merchant’s own identifier for reconciliation.
string
INDIVIDUAL or ENTITY.object
Phone details with
country_code and number.object
Address with
address_line_1, city, state, zip_code, country.object
Individual or business details.
string
ISO 8601 timestamp.
string
ISO 8601 timestamp.
{
"id": "ent_660e8400-e29b-41d4-a716-446655440000",
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"merchant_entity_id": "merchant_user_12345",
"national_entity": "INDIVIDUAL",
"phone": {
"country_code": "+1",
"number": "2025551234"
},
"address": {
"address_line_1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip_code": "94102",
"country": "US"
},
"entity_detail": {
"individual": {
"first_name": "Dee",
"last_name": "Hock",
"email": "dee@hock.example",
"date_of_birth": "1990-01-15"
}
},
"created_at": "2026-02-01T10:00:00Z",
"updated_at": "2026-02-01T10:00:00Z"
}
{
"code": "ENTITY_NOT_FOUND",
"messages": ["Entity not found"],
"http_code": 404
}
⌘I
Get Entity
